check-python:
printf "Running flake8 and 2to3 if detected.\n"
$(top_srcdir)/contrib/scripts/lint-python.sh
+
+check-man:
+ printf "Running lint-man.sh in doc/man.\n"
+ @cd $(top_srcdir)/doc/man ; $(top_srcdir)/../../contrib/scripts/lint-man.sh || true
--- /dev/null
+#!/bin/sh
+#
+# SPDX-License-Identifier: 0BSD
+# spit out ONLY error messages using groff.
+
+echo "groff check"
+for f in `find . -name \*\.[1-9]`;
+do
+ LC_ALL=en_US.UTF-8 \
+ MANROFFSEQ='' \
+ MANWIDTH=80 \
+ groff -m mandoc -b -z -w w $f;
+done
+echo "mandoc check"
+# spit out ONLY error messages with mandoc:
+mandoc -T lint `find . -name \*\.[1-9]`
+#LC_ALL=en_US.UTF-8 MANROFFSEQ='' MANWIDTH=80 /run/current-system/profile/bin/man --warnings -E UTF-8 -l -Tutf8 -Z <*.5> >report5.log
+#LC_ALL=en_US.UTF-8 MANROFFSEQ='' MANWIDTH=80 /run/current-system/profile/bin/man --warnings -E UTF-8 -l -Tutf8 -Z <*.1> >report1.log